problem version php

Do not post support requests, bug reports or feature requests. Discuss phpBB here. Non-phpBB related discussion goes in General Discussion!
Scam Warning
tlforum
Registered User
Posts: 19
Joined: Mon Sep 21, 2020 5:41 pm

problem version php

Post by tlforum »

hi have problem for update forum.

Version my hosting PHP Version 7.4.10

Click for update have this error :
You are running an unsupported PHP version. Please upgrade to PHP 7.1.3 or higher before trying to install or update to phpBB 3.3

inside my forum see this http://prntscr.com/um2uki
User avatar
ssl
Registered User
Posts: 249
Joined: Sat Feb 08, 2020 2:15 pm
Location: France
Name: Fred
Contact:

Re: problem version php

Post by ssl »

Hi
On your screen you're using 5.6.40 version, so for phpBB 3.3 you'll need to update to 7.1 version of php
Sorry for my English ... I do my best!
tlforum
Registered User
Posts: 19
Joined: Mon Sep 21, 2020 5:41 pm

Re: problem version php

Post by tlforum »

my hosting have version see http://www.forumcnc.com/phpinfo.php
User avatar
ssl
Registered User
Posts: 249
Joined: Sat Feb 08, 2020 2:15 pm
Location: France
Name: Fred
Contact:

Re: problem version php

Post by ssl »

What is your forum URL?
Sorry for my English ... I do my best!
tlforum
Registered User
Posts: 19
Joined: Mon Sep 21, 2020 5:41 pm

Re: problem version php

Post by tlforum »

User avatar
ssl
Registered User
Posts: 249
Joined: Sat Feb 08, 2020 2:15 pm
Location: France
Name: Fred
Contact:

Re: problem version php

Post by ssl »

So, at your host put your version of php to 7.1 minimum
Then follow this procedure to upgrade your forum to version 3.3.1: viewtopic.php?p=15596681#p15596681
Sorry for my English ... I do my best!
tlforum
Registered User
Posts: 19
Joined: Mon Sep 21, 2020 5:41 pm

Re: problem version php

Post by tlforum »

change now no work no install package update

http://www.forumcnc.com/phpinfo.php
User avatar
ssl
Registered User
Posts: 249
Joined: Sat Feb 08, 2020 2:15 pm
Location: France
Name: Fred
Contact:

Re: problem version php

Post by ssl »

In less than 10 minutes you have backed up your database, backed up your forum, deleted the files, sent the 3.3.1 pack files and made the update?
Sorry for my English ... I do my best!
tlforum
Registered User
Posts: 19
Joined: Mon Sep 21, 2020 5:41 pm

Re: problem version php

Post by tlforum »

no update have problem
User avatar
ssl
Registered User
Posts: 249
Joined: Sat Feb 08, 2020 2:15 pm
Location: France
Name: Fred
Contact:

Re: problem version php

Post by ssl »

Yes of course there is a problem but saying it without detailing what you are doing is not likely to find help
Sorry for my English ... I do my best!
tlforum
Registered User
Posts: 19
Joined: Mon Sep 21, 2020 5:41 pm

Re: problem version php

Post by tlforum »

i uploaded the automatic update package in ftp.
Then I ran the install file and the installation does not proceed
User avatar
ssl
Registered User
Posts: 249
Joined: Sat Feb 08, 2020 2:15 pm
Location: France
Name: Fred
Contact:

Re: problem version php

Post by ssl »

Here I give you a link for the installation: viewtopic.php?p=15597096#p15597096

It says this:
Upload the contents of the phpBB3 directory from the uncompressed 3.2.x Full Package
Why do you use an automatic update?
Sorry for my English ... I do my best!
User avatar
thecoalman
Community Team Member
Community Team Member
Posts: 4142
Joined: Wed Dec 22, 2004 3:52 am
Location: Pennsylvania, U.S.A.
Contact:

Re: problem version php

Post by thecoalman »

Some server configurations allow you to set php version per directory which is one reason you may have discrepancy between the default php version and the directory phpBB is located in,
tlforum wrote:
Tue Sep 22, 2020 9:54 pm
http://www.forumcnc.com/cnc-forum/
Check this directory for a .htaccess file. If one exists download and look for line like this:

Code: Select all

AddHandler application/x-httpd-php56 .php .php5
The AddHandler is specifically what you are looking for. Delete the line(s) an upload. If you are unsure of what to delete post it here.
“Results! Why, man, I have gotten a lot of results! I have found several thousand things that won’t work.”

Attributed - Thomas Edison
tlforum
Registered User
Posts: 19
Joined: Mon Sep 21, 2020 5:41 pm

Re: problem version php

Post by tlforum »

have this http://prntscr.com/um983k this code inside

Code: Select all

<Files "config.php">
Order Allow,Deny
Deny from All
</Files>

DirectoryIndex portal.php index.php index.html index.htm

<Files "common.php">
RewriteEngine On

RewriteRule ^/?(af|sq|ar|be|bg|ca|zh-CN|hr|cs|da|nl|en|et|tl|fi|fr|gl|de|el|iw|hi|hu|is|id|ga|it|ja|ko|lv|lt|mk|ms|mt|no|fa|pl|pt|ro|ru|sr|sk|sl|es|sw|sv|zh-TW|th|tr|uk|vi|sq|ca|et|tl|gl|hi|id|lv|lt|mt|sl|uk|vi|cy|yi)/$ index.php?lang=$1 [L,QSA]
RewriteRule ^/?(af|sq|ar|be|bg|ca|zh-CN|hr|cs|da|nl|en|et|tl|fi|fr|gl|de|el|iw|hi|hu|is|id|ga|it|ja|ko|lv|lt|mk|ms|mt|no|fa|pl|pt|ro|ru|sr|sk|sl|es|sw|sv|zh-TW|th|tr|uk|vi|sq|ca|et|tl|gl|hi|id|lv|lt|mt|sl|uk|vi|cy|yi)/(.*)?$ $2?lang=$1 [L,QSA]


Order Allow,Deny
Deny from All
</Files>

# Set PHP handler to application/x-httpd-php54 on Fri Jan 15 10:57:06 MST 2016.
AddHandler application/x-httpd-php54 .php
User avatar
thecoalman
Community Team Member
Community Team Member
Posts: 4142
Joined: Wed Dec 22, 2004 3:52 am
Location: Pennsylvania, U.S.A.
Contact:

Re: problem version php

Post by thecoalman »

Firstly that is not anything remotely close to the htaccess file that comes with phpBB. You want to use the file that comes with phpBB and add any custom rules to that. Keep a backup of the file you have now and upload the one that comes with phpBB.

The only thing you may want to add is this:

Code: Select all

DirectoryIndex portal.php index.php index.html index.htm
If you are using portal.php when someone requests http://www.forumcnc.com/cnc-forum/ this sets the deafualt file to portal.php. If you are not using portal.php you don't need it.

------------------------------------------------------

Code: Select all

RewriteRule ^/?(af|sq|ar|be|bg|ca|zh-CN|hr|cs|da|nl|en|et|tl|fi|fr|gl|de|el|iw|hi|hu|is|id|ga|it|ja|ko|lv|lt|mk|ms|mt|no|fa|pl|pt|ro|ru|sr|sk|sl|es|sw|sv|zh-TW|th|tr|uk|vi|sq|ca|et|tl|gl|hi|id|lv|lt|mt|sl|uk|vi|cy|yi)/$ index.php?lang=$1 [L,QSA]
RewriteRule ^/?(af|sq|ar|be|bg|ca|zh-CN|hr|cs|da|nl|en|et|tl|fi|fr|gl|de|el|iw|hi|hu|is|id|ga|it|ja|ko|lv|lt|mk|ms|mt|no|fa|pl|pt|ro|ru|sr|sk|sl|es|sw|sv|zh-TW|th|tr|uk|vi|sq|ca|et|tl|gl|hi|id|lv|lt|mt|sl|uk|vi|cy|yi)/(.*)?$ $2?lang=$1 [L,QSA]
These are in wrong place and I'm guessing aren't doing anything.

------------------------------------------------------

Code: Select all

# Set PHP handler to application/x-httpd-php54 on Fri Jan 15 10:57:06 MST 2016.
AddHandler application/x-httpd-php54 .php
This is what would cause the wrong version of php, minimally you need to delete this line but I'd urge you just to start fresh with phpBB .htaccess file.

As side note do not use the utaomtic update, as indicated by SSL use the full package install method.
“Results! Why, man, I have gotten a lot of results! I have found several thousand things that won’t work.”

Attributed - Thomas Edison
Post Reply

Return to “phpBB Discussion”